@font-face {
    font-family: "Dolce Vita Light";
    src: url('assets/fonts/dolce vita light.ttf');
}

@font-face {
    font-family: "Dolce Vita";
    src: url('assets/fonts/dolce vita.ttf')
}

h1:focus {
    outline: none;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid #e50000;
}

.validation-message {
    color: #e50000;
}

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

    .blazor-error-boundary::after {
        content: "An error has occurred."
    }

.darker-border-checkbox.form-check-input {
    border-color: #929292;
}

.peoplecore-font {
    font-family: 'Dolce Vita';
    letter-spacing: 2px;
    line-height: 1.1;
}

.peoplecore-font-light {
    font-family: 'Dolce Vita Light';
    letter-spacing: 2px;
    line-height: 1.1;
}


.resume-container {
    display: flex;
    flex-direction: column;
    max-width: auto;
    margin: 0 auto;
}

.resume-card {
    width: 100%;
    margin-bottom: 20px;
    padding: 20px;
    border-radius: 8px;
    box-shadow: 0 2px 4px rgba(0,0,0,0.1);
    position: relative;
    box-sizing: border-box;
    cursor: default;
}

.icons {
    position: absolute;
    top: 10px;
    right: 10px;
    opacity: 0;
    transition: opacity 0.3s ease;
}

.resume-card:hover .icons, .resume-card:hover {
    color: var(--phoenix-table-hover-color);
    background-color: var(--phoenix-table-hover-bg);
    opacity: 1;
}

.edit-icon, .delete-icon {
    margin-left: 5px;
    cursor: pointer;
    padding: 0.25rem 0.5rem;
}

.edit-btn i, .delete-btn i {
    font-size: 14px;
}

.resume-card-title {
    font-size: 18px;
    margin-bottom: 10px;
}

.resume-card-subtitle {
    font-size: 16px;
    margin-bottom: 5px;
}

.date {
    font-size: 14px;
    margin-bottom: 5px;
}

.resume-card-content {
    font-size: 14px;
    margin-bottom: 5px;
}

.experience-table,
.experience-table th,
.experience-table td {
    font-size: 0.85rem !important;
}

.table-view, .card-view {
    display: none;
}

.active {
    display: block;
}

.table-responsive {
    cursor: default;
}

.modal-backdrop.show {
    background-color: rgba(0, 0, 0, 0.75) !important;
}

.text-truncate {
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}

select.text-truncate option {
    max-width: 100%;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}

.form-check-input {
    cursor: pointer;
}

.blazored-toast-container {
    z-index: 9999 !important;
}
.dropdown-item{
    cursor: pointer;
}

.text-decoration-none {
    text-decoration: none !important
}

body.offcanvas-open {
    overflow: hidden !important;
}

.select-container {
    position: relative;
    width: 100%;
}

.select-input {
    position: relative;
    border-radius: 4px;
    min-height: 38px;
}

.selected-items {
    display: flex;
    flex-wrap: wrap;
    gap: 5px;
    align-items: center;
}

.selected-tags {
    display: flex;
    flex-wrap: wrap;
    gap: 5px;
}

.selected-tag {
    border-radius: 3px;
    padding: 2px 8px;
    display: flex;
    align-items: center;
    gap: 5px;
}

.remove-tag {
    cursor: pointer;
    font-weight: bold;
}

    .remove-tag:hover {
        color: #dc3545;
    }

.select-input input {
    border: none;
    outline: none;
    padding: 0;
    margin: 0;
    min-width: 50px;
    flex: 1;
}

.dropdown-arrow {
    position: absolute;
    right: 20px;
    top: 45%;
    transform: translateY(-50%);
    cursor: pointer;
}

.select-dropdown {
    top: 100%;
    left: 0;
    right: 0;
    border-radius: 4px;
    margin-top: 5px;
    max-height: 200px;
    overflow-y: auto;
    z-index: 1000;
}

.select-all {
    padding: 8px 12px;
    text-align: center;
}

.selectall {
    cursor: pointer;
}

.select-item {
    padding: 8px 12px;
}

.select-item:hover {
background-color: #C3C3C3;
}

.select-item:hover label {
    color: black !important;
}

.select-item label {
display: flex;
align-items: center;
gap: 8px;
cursor: pointer;
margin: 0;
}

.select-loading, .select-no-results {
    padding: 8px 12px;
    text-align: center;
    color: #666;
}